Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 01 Aug 2014, 04:00
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » System
Java JRE 1.7u25, 1.6u45
Post new topic   Reply to topic View previous topic :: View next topic
Page 2 of 3 [40 Posts]   Goto page: Previous 1, 2, 3 Next
Author Message
TheAsterisk!


Joined: 10 Feb 2009
Posts: 403
Location: SE Wisconsin, US

PostPosted: Thu 25 Oct 2012, 18:46    Post subject:  

UPDATED to 1.7u9 and 1.6u37

Both *.sfs and *.pet packages are available.
Back to top
View user's profile Send private message Visit poster's website 
stiginge


Joined: 22 Mar 2007
Posts: 420
Location: Kerry, Ireland

PostPosted: Sat 03 Nov 2012, 07:32    Post subject:  

Hi asterisk

I'm currently attempting to install jre-1.6u37-i586.pet, however after downloading successfully I keep getting an error message : error, "jre... failed to install".

I am running puppy 529 cd-install.

_________________
Buy silver, crash JPMorgan
Back to top
View user's profile Send private message 
stiginge


Joined: 22 Mar 2007
Posts: 420
Location: Kerry, Ireland

PostPosted: Sat 03 Nov 2012, 16:41    Post subject:  

This is the site I am trying to view and :


https://www.ros.ie/ROSCheckerServlet/start

[/url]

and I get a dropdown message telling me that 'additional plugins are required - install missing plugins...'

edit: Seems to be ok today on bootup, so no further issues here.

_________________
Buy silver, crash JPMorgan
Back to top
View user's profile Send private message 
scsijon

Joined: 23 May 2007
Posts: 1025
Location: the australian mallee

PostPosted: Sun 13 Jan 2013, 21:38    Post subject:  Java 7 zero-day vulnerability  

TA, is someone following the link at the bottom up?

I know it's a Mageia message but it relates to Java 7 plugins.

Maybe we should not be using 7 until fixed.

regards
scsijon

Message: 1
Date: Fri, 11 Jan 2013 18:52:27 +0000 (UTC)
From: David Walser <luigiwalser@yahoo.com>
To: mageia-dev@mageia.org
Subject: [Mageia-dev] Actively exploited Java 7 zero day
Message-ID: <loom.20130111T195034-110@post.gmane.org>
Content-Type: text/plain; charset=us-ascii

If you're using Cauldron as a workstation and have the Java plugin (icedtea-web
or Sun Java) enabled in your browser, be aware there's a zero-day vulnerability
being actively exploited, and you should disable the plugin for general usage
until we have a fix.

If you're using icedtea-web on Mageia 2 you're not affected, as that uses Java 6
which is not known to be vulnerable.

http://arstechnica.com/security/2013/01/critical-java-zero-day-bug-is-being-massively-exploited-in-the-wild/
http://www.h-online.com/security/news/item/Dangerous-vulnerability-in-latest-Java-version-1781156.html
Back to top
View user's profile Send private message Visit poster's website 
Sky Aisling


Joined: 27 Jun 2009
Posts: 901
Location: Port Townsend, WA. USA

PostPosted: Fri 25 Jan 2013, 02:30    Post subject:
Subject description: Java App? Java Script? Which download to take?
 

Hi Folks,
Wow! I'm confused (more than usual).
I've installed Lucid-Puppy-528.005 on a Gateway-400 laptop circa 2002.
Puppy-528.005 is running beautifully, no major issues.
I've installed the latest Firefox v18.01.
Mozilla tells me this Firefox is up-to-date.
However, when I attempt to access video content such as YouTube, Mozilla tells me it's disabled Java plugin because of security reasons.
I am directed to download another Java plugin.
(See screenshot below.)
I have three questions;
Do I use Java's download?
or
Do I use the .pet offered in this thread?

If I do take the Java download then which of the options do I take?


Thank you in advance for any clarity you can offer.
Edit: I realize there is Java App 7 and Java script two different things. But, which is which in this case?
Java_Downloads1.png
 Description   
 Filesize   17.06 KB
 Viewed   1865 Time(s)

Java_Downloads1.png

Back to top
View user's profile Send private message 
jpeps

Joined: 31 May 2008
Posts: 3220

PostPosted: Fri 25 Jan 2013, 03:31    Post subject:  

Right, the Java plugin isn't supported in Firefox for security reasons...but I don't know why you need it for YouTube videos (which use Flash). I posted a working SFS for the JRE binaries here:

http://murga-linux.com/puppy/viewtopic.php?t=83337

You shouldn't need anything for Javascript.
Back to top
View user's profile Send private message 
Sky Aisling


Joined: 27 Jun 2009
Posts: 901
Location: Port Townsend, WA. USA

PostPosted: Fri 25 Jan 2013, 06:19    Post subject: Java JRE 1.7u9, 1.6u37  

Quote:

You shouldn't need anything for Javascript.


So, the issue isn't with Javascript? even tho Mozilla pointed me that way?
Then, do I need the .sfs from your thread?
http://murga-linux.com/puppy/viewtopic.php?t=83337

Perhaps it is a combination of issues.
This is an old machine circa 2002.
Perhaps the video card is the issue.

Some news video play but no sound.
Others no play and present warning such as this screenshot.
The issues with playing video seem to have appeared since the Java7 scare.

Looks like I need to search for the answer in a different way?
This is confusing. Sorry if I've interrupted your thread inappropriately.
Thank you for responding.

EDIT: Apparently it is a combination of issues.
A portion of the problem is solved by downloading Shinobar's getflash .pet.
I found the .pet here:
http://puppylinux.org/wikka/GetFlash
Sound solved:
http://www.murga-linux.com/puppy/viewtopic.php?p=575115#575115
Again, thank you.
Old_multimedia_Card1.png
Description 
png

 Download 
Filename  Old_multimedia_Card1.png 
Filesize  30.85 KB 
Downloaded  479 Time(s) 
Unable_to_Play_Video1.png
 Description   
 Filesize   5.44 KB
 Viewed   1795 Time(s)

Unable_to_Play_Video1.png

Back to top
View user's profile Send private message 
jpeps

Joined: 31 May 2008
Posts: 3220

PostPosted: Fri 25 Jan 2013, 13:29    Post subject: Re: Java JRE 1.7u9, 1.6u37  

Sky Aisling wrote:
Quote:

You shouldn't need anything for Javascript.


So, the issue isn't with Javascript? even tho Mozilla pointed me that way?
Then, do I need the .sfs from your thread?


Javascript is unrelated to java. Turn it on/off in preferences/content

Having dispelled some Java myths, I'm a fan of using it for apps, but not in my web browser.
Back to top
View user's profile Send private message 
TheAsterisk!


Joined: 10 Feb 2009
Posts: 403
Location: SE Wisconsin, US

PostPosted: Fri 25 Jan 2013, 23:29    Post subject:  

JRE updated to 7u10 and 6u38

7u11 is on its way, either tonight or early tomorrow. I'll update when it's up.

In the meantime...

Yes, Firefox is flaggin 7u10 as being out of date and potentially insecure, since 7u11 is available. As I mentioned above, that'll get updated here, too, very shortly.

Otherwise, regarding weird errors with JRE-7, I've had those too, though I honestly don't know if it's JRE-7 itself or older Java apps meant to work with v6 that just haven't been tested with or updated for v7. (JDownloader, for instance, won't work quite right with JRE-7, but works under JRE-6. Those sorts of things are why I'm still keeping the v6 series as up to date as I can with what time I have.) If in doubt, use the latest v6 instead- it's a smaller package, too, and most things will work with it just as well if not better than with v7.

Stay tuned...

@Sky Aisling: as jpeps says above, "Java" and "Javasript" aren't actually related to one another. (Why their names are similar is a bit of computer history trivia, and not much else.) The state of your JRE plugin shouldn't have any bearing at all, one way or another, on javascript functionality in your web browser.
Back to top
View user's profile Send private message Visit poster's website 
TheAsterisk!


Joined: 10 Feb 2009
Posts: 403
Location: SE Wisconsin, US

PostPosted: Sun 27 Jan 2013, 03:40    Post subject:  

UPDATED to version 7u11

Version 6u38 still available.
Back to top
View user's profile Send private message Visit poster's website 
TheAsterisk!


Joined: 10 Feb 2009
Posts: 403
Location: SE Wisconsin, US

PostPosted: Tue 05 Feb 2013, 20:19    Post subject:  

UPDATED to versions 6u39 and 7u13.
Back to top
View user's profile Send private message Visit poster's website 
darkcity


Joined: 23 May 2010
Posts: 2436
Location: near here

PostPosted: Mon 25 Mar 2013, 07:09    Post subject:  

Thanks for packaging JaveRE. I think yours is the most up to date now.

Anyhow added to wiki Cool
http://www.puppylinux.org/wikka/JavaRuntimeEnvironment

_________________
helping Wiki for help | IF SendSpace link = "dead" THEN PM me ("up file to http://meownplanet.net/")
Back to top
View user's profile Send private message Visit poster's website 
jpeps

Joined: 31 May 2008
Posts: 3220

PostPosted: Tue 26 Mar 2013, 00:47    Post subject:  

darkcity wrote:
Thanks for packaging JaveRE. I think yours is the most up to date now.

Anyhow added to wiki Cool
http://www.puppylinux.org/wikka/JavaRuntimeEnvironment


It's up to version 1.7.0_17.
http://murga-linux.com/puppy/viewtopic.php?p=682060#682060
Back to top
View user's profile Send private message 
Pelo


Joined: 10 Sep 2011
Posts: 2928
Location: Mer méditerrannée (1 kms°)

PostPosted: Tue 26 Mar 2013, 03:36    Post subject: Merci beaucoup
Subject description: Thanks a lot
 

Merci beaucoup to people like you who make benefit others of their works.
Have a nice day.
Pelo
Back to top
View user's profile Send private message Yahoo Messenger 
darkcity


Joined: 23 May 2010
Posts: 2436
Location: near here

PostPosted: Tue 26 Mar 2013, 13:57    Post subject:  

jpeps wrote:
darkcity wrote:
Thanks for packaging JaveRE. I think yours is the most up to date now.

Anyhow added to wiki Cool
http://www.puppylinux.org/wikka/JavaRuntimeEnvironment


It's up to version 1.7.0_17.
http://murga-linux.com/puppy/viewtopic.php?p=682060#682060


Thanks for the heads up, added link to the post on WIki Twisted Evil

_________________
helping Wiki for help | IF SendSpace link = "dead" THEN PM me ("up file to http://meownplanet.net/")
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 2 of 3 [40 Posts]   Goto page: Previous 1, 2, 3 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » System
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0861s ][ Queries: 13 (0.0059s) ][ GZIP on ]